Bug 1277204 - vdsm: setupNetworks fails when IPv6 is disabled at the kernel level
vdsm: setupNetworks fails when IPv6 is disabled at the kernel level
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: SuperVDSM (Show other bugs)
4.17.10
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.2
: 4.17.14
Assigned To: Ondřej Svoboda
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 11:52 EST by Ollie Armstrong
Modified: 2016-02-18 06:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:02:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
danken: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
supervdsm log (32.17 KB, text/plain)
2015-11-02 11:52 EST, Ollie Armstrong
no flags Details
ovirt setup log (291.26 KB, text/plain)
2015-11-02 11:52 EST, Ollie Armstrong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47978 master MERGED config: Resolve crash when IPv6 disabled in kernel Never
oVirt gerrit 50457 ovirt-3.6 MERGED config: Resolve crash when IPv6 disabled in kernel 2015-12-17 03:48 EST

  None (edit)
Description Ollie Armstrong 2015-11-02 11:52:07 EST
Created attachment 1088641 [details]
supervdsm log

Description of problem:
When running `hosted-engine --deploy` it crashes with `Failed to setup networks {'ovirtmgmt': {'nic': 'enp3s0f0', 'bootproto': 'dhcp', 'blockingdhcp': True, 'defaultRoute': True}}. Error code: "16" message: "Unexpected exception"`.  Looking in supervdsm.log reveals `No such file or directory: '/proc/sys/net/ipv6/conf/ovirtmgmt/disable_ipv6'`.


Version-Release number of selected component (if applicable): oVirt 3.6 RC3, VDSM 4.17.10.


How reproducible: Always


Steps to Reproduce:
1. Boot with `ipv6.disable=1` in the command line.
2. Install oVirt 3.6 RC3 and run `hosted-engine --deploy`

Actual results: Setup completes


Expected results: Setup crashes
Comment 1 Ollie Armstrong 2015-11-02 11:52 EST
Created attachment 1088642 [details]
ovirt setup log
Comment 2 Ollie Armstrong 2015-11-02 11:53:41 EST
I have a patch already that I am just submitting to Gerrit now.
Comment 3 Dan Kenigsberg 2015-11-03 02:09:25 EST
Thanks for your report Ollie. Would you specify how did you disable ipv6, and why? I'd like to asses how common is this condition.
Comment 4 Red Hat Bugzilla Rules Engine 2015-11-03 05:02:12 EST
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.
Comment 5 Ollie Armstrong 2015-11-03 05:44:08 EST
I booted with "ipv6.disable=1" as a kernel boot parameter to disable ipv6.  It's something that I do fairly frequently as my servers are in a ipv4 only DC, it tends to make things simpler.
Comment 6 Sandro Bonazzola 2015-12-23 08:41:05 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 7 Michael Burman 2016-01-24 03:23:23 EST
Verified on - vdsm-4.17.18-0.el7ev.noarch

Note You need to log in before you can comment on or make changes to this bug.